@echo off

rem --------------------------------------------------------
rem This batch file is used for automatic installation of
rem MetaCare in case the Windows SETUP.EXE does not work.
rem
rem It uses EXPAND.EXE of Windows, so your Windows directory
rem must be in the search path.
rem
rem 1) change the current path to the path where the compressed files are
rem    stored
rem 2) execute this batch with
rem    "SETUPMAN <destination directory>"
rem 3) hint: do not append a "\" at the destination directory in the above
rem    command.
rem --------------------------------------------------------

echo ... checking parameter
if .%1==. goto :err_para
echo Test > %1\Test
if not exist %1\Test goto :err_dir
erase %1\Test.

echo ... copying files into %1
for %%f in (*.??_) do expand %%f %1\%%f > nul
echo ... renaming expanded files
for %%f in (%1\*.dl_) do rename %%f *.dll > nul
for %%f in (%1\*.vb_) do rename %%f *.vbx > nul
for %%f in (%1\*.ex_) do rename %%f *.exe > nul
echo ... finished.
echo.
echo You may run %1\METACARE.EXE now...
goto :end

:err_para
echo Parameter error
echo ---------------
echo You must supply a destination directory that does exist.
echo Please do not end with the backslash, this setup batch file will
echo automatically append one.
echo (for example: "SETUPMAN c:\metacare")
goto :end

:err_dir
echo Parameter error
echo ---------------
echo The directory %1 does not exist. Please create it or choose a different one.
echo For example, use "MKDIR %1"
goto :end

:end

